Subject: Re: [PATCH] git checkout: don't warn about unborn branch if -f is already passed

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Nov 2008 11:46:42 -0800

Matt McCutchen <[email-masked]> writes:

> I think it's unnecessary to warn that the checkout has been forced due to an
> unborn current branch if -f has been explicitly passed.  For one project, I am
> using git-new-workdir to create workdirs from a bare repository whose HEAD is
> set to an unborn branch, and this warning started to irritate me.

I doubt anybody minds this particular change per-se, but I wonder what the
justification of keeping a dangling HEAD in a bare repository is.

After all, the primary intended purpose of a bare repository is to serve
as a distribution point (i.e. something you can clone from), and I think a
dangling HEAD interferes with the usual operation of clone (although I've
never tested this).

Care to explain why?